const ktip=0.9; kras=0.8; ka=1.5; kb=0.8; kp=0.85;
      ksm=3; l=35; ky=1.1; kg=0.95;
type
   sss=array[1..11]of real;
   ss2=array[1..2,1..11]of real;
var
   qp,qop,qz,qpk,qml,h1,h2,ypk,yml,ai,n,h,d,p,z:sss;
   hh:ss2;
   nn,i,j:integer;
   t,vp,tn,tp,vtr,ne,dd,tc,qopp,s,ch,s1:real;
   k1,k2,k3,k4,k5,k6,k7,k8,k9,k10,k11:real;
   f:text;
 begin assign(f,'kkk.dat'); reset(f);
  read(f,nn);
 for i:=1 to nn do readln(f,n[i],h[i],d[i],p[i],z[i]);
 for i:=1 to nn do readln(f,yml[i],ypk[i]);
 for i:=1 to nn do readln(f,ai[i],h1[i],h2[i]);
 readln(f,vp);
 for i:=1 to 2 do
  for j:=1 to nn do read(f,hh[i,j]);
 close(f);
 assign(f,'rrr.dat'); rewrite(f);
 for i:=1 to nn+1 do
  begin qp[i]:=0; qz[i]:=0; qop[i]:=0; qpk[i]:=0; qml[i]:=0; end;
 for i:=1 to nn do
  begin qp[i]:=ktip*kras*n[i]*h[i]*d[i]*p[i];
        qz[i]:=qp[i]*z[i];
        qop[i]:=qp[i]*(ai[i]*h1[i]+(1-ai[i])*h2[i])*1e3/5.5;
        qpk[i]:=qz[i]*ypk[i]/(5.5*80*0.75);
   if (i=1) then begin qpk[i]:=qpk[i]*0.5; qml[i]:=35*qpk[i]*yml[i]*1.1; end;
  end;
 for i:=1 to nn do
  begin qp[nn+1]:=qp[nn+1]+qp[i];
        qz[nn+1]:=qz[nn+1]+qz[i];
        qop[nn+1]:=qop[nn+1]+qop[i];
        qpk[nn+1]:=qpk[nn+1]+qpk[i];
        qml[nn+1]:=qml[nn+1]+qml[i];
  end;
writeln(f,'      Qp     !      Qz     !     Qpl     !    Qml     !     Qop     !');
 for i:=1 to nn+1 do
writeln(f,' ',qp[i]:11,' ! ',qz[i]:11,' ! ',qpk[i]:11,' !',qml[i]:11,' ! ',qop[i]:11,' !');
 writeln(f); qopp:=qop[nn+1];
 tn:=250*8*3*3600; tp:=tn*kp; vtr:=(qopp*ka*1.35)/(tp*kb*kg*0.96);
 ne:=vtr/(vp*1000);
 k1:=0.9;
 k2:=0.9;
 k3:=0.9;
 k4:=0.9;
 k5:=0.8;
 k6:=0.5;
 k7:=1.25;
 k8:=1.1;
  k9:=1;
 k10:=1;
 k11:=1;
 t:=k3*k11*((20+40)*k1*k4*k5*k6*k7*k8*k10+25.88*k2*k5*k9*k10+8.63*k2*k8+5.49*k2*k5*k6*k8*k9);
 dd:=3.297-1.169*0.1*t+2.328*0.001*t*t-1.521*1e-5*t*t*t+3.328*1e-8*t*t*t*t;
 ch:=t*365/(dd*250);
 writeln(f,'   Tn = ',tn:13);
 writeln(f,'   Tp = ',tp:13);
 writeln(f,'  Vtr = ',vtr:13);
 writeln(f,'   Ne = ',ne:13);
 writeln(f);
 writeln(f,'    T = ',t:13);
 writeln(f,'    D = ',dd:13);
 writeln(f,'     = ',ch:13);
 writeln(f); s:=0;
 for i:=1 to 2 do
  begin
  for j:=1 to nn do s:=s+n[j]/hh[i,j];


  end;

 close(f);
 end.